Bug 33521 - mozilla port doesn't build irc client ChatZilla
Summary: mozilla port doesn't build irc client ChatZilla
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-01-04 01:30 UTC by Steve Wills
Modified: 2002-01-04 14:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills 2002-01-04 01:30:00 UTC
The mozilla port doesn't build the ChatZilla irc client by default. I'd like it to do so.

Fix: here's a patch:



I've tested this and it works.--qqTEA5YutTc4rxviYoR9et18VwAiLk7IDvR8eR7HNiveTAex
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig       Thu Jan  3 18:06:16 2002
+++ Makefile    Thu Jan  3 18:07:10 2002
@@ -56,7 +56,8 @@
                --with-jpeg=${LOCALBASE}        \
                --with-png=${LOCALBASE}         \
                --with-mng=${LOCALBASE}         \
-               --with-pthreads
+               --with-pthreads                 \
+               --with-extensions=default,irc
 CONFIGURE_ENV= BSD_PTHREAD_LIBS="${PTHREAD_LIBS}" \
                CFLAGS="" CXXFLAGS="" \
                MOZ_INTERNAL_LIBART_LGPL=1
How-To-Repeat: build and install the mozilla port
Comment 1 Joe Marcus Clarke 2002-01-04 01:36:01 UTC
What about this patch instead to make ChatZilla! optional? 

Joe

--- Makefile.orig	Thu Jan  3 20:33:24 2002
+++ Makefile	Thu Jan  3 20:32:59 2002
@@ -58,6 +58,11 @@
 		--with-png=${LOCALBASE}		\
 		--with-mng=${LOCALBASE}		\
 		--with-pthreads
+
+.if defined(WITH_CHATZILLA)
+CONFIGURE_ARGS+=	--with-extensions=default,irc
+.endif
+
 CONFIGURE_ENV=	BSD_PTHREAD_LIBS="${PTHREAD_LIBS}" \
 		CFLAGS="" CXXFLAGS="" \
 		MOZ_INTERNAL_LIBART_LGPL=1
Comment 2 dwcjr 2002-01-04 01:38:40 UTC
> >Description:
> The mozilla port doesn't build the ChatZilla irc client by default. I'd like it to do so.
> >How-To-Repeat:
> build and install the mozilla port
> >Fix:
> here's a patch:
I don't think it should build this by default.  Maybe an 
MOZILLA_WITH_IRC knob, then I'd agree.

-- 
David W. Chapman Jr.
dwcjr@inethouston.net	Raintree Network Services, Inc. <www.inethouston.net>
dwcjr@freebsd.org	FreeBSD Committer <www.FreeBSD.org>
Comment 3 Steve Wills 2002-01-04 01:46:03 UTC
Thats fine with me, I can add it to my pkgtools.conf file to always pass that
flag, so its not big deal. However, according to the mozilla developers,
chatzilla is nothing more than about 78k of JavaScript and XUL. From my
experience, it doesn't add a great deal of time to the build or the on disk or
in memory images. Whats your reasoning behind making it optional? 

Steve

On Thu, Jan 03, 2002 at 07:38:40PM -0600, David W. Chapman Jr. wrote:
> > >Description:
> > The mozilla port doesn't build the ChatZilla irc client by default. I'd like it to do so.
> > >How-To-Repeat:
> > build and install the mozilla port
> > >Fix:
> > here's a patch:
> I don't think it should build this by default.  Maybe an 
> MOZILLA_WITH_IRC knob, then I'd agree.
> 
> -- 
> David W. Chapman Jr.
> dwcjr@inethouston.net	Raintree Network Services, Inc. <www.inethouston.net>
> dwcjr@freebsd.org	FreeBSD Committer <www.FreeBSD.org>

-- 
The difference between fiction and reality is that fiction makes sense.
        -- Tom Clancy
Comment 4 dwcjr 2002-01-04 01:49:14 UTC
> Thats fine with me, I can add it to my pkgtools.conf file to always pass
that
> flag, so its not big deal. However, according to the mozilla developers,
> chatzilla is nothing more than about 78k of JavaScript and XUL. From my
> experience, it doesn't add a great deal of time to the build or the on
disk or
> in memory images. Whats your reasoning behind making it optional?
>
I wasn't aware that it was that small.  Eventhough some people still  might
want it an option instead of default, since its not a default in the first
place. Actually you could add it to your /etc/make.conf so that anytime you
build it from wherever it would use those knobs.
Comment 5 Patrick Li freebsd_committer 2002-01-04 03:27:05 UTC
Responsible Changed
From-To: freebsd-ports->gnome

Over to maintainers
Comment 6 Steve Wills 2002-01-04 03:44:36 UTC
Ok, thanks for the info on make.conf. Whats the verdict on this change?
Default to building ChatZilla, or make it a knob? Either way is fine with me,
but why not at least give it a try as a default and if its a problem or people
complain, then make it a knob?

Thanks,
Steve

On Thu, Jan 03, 2002 at 07:49:14PM -0600, David W. Chapman Jr. wrote:
> > Thats fine with me, I can add it to my pkgtools.conf file to always pass
> that
> > flag, so its not big deal. However, according to the mozilla developers,
> > chatzilla is nothing more than about 78k of JavaScript and XUL. From my
> > experience, it doesn't add a great deal of time to the build or the on
> disk or
> > in memory images. Whats your reasoning behind making it optional?
> >
> I wasn't aware that it was that small.  Eventhough some people still  might
> want it an option instead of default, since its not a default in the first
> place. Actually you could add it to your /etc/make.conf so that anytime you
> build it from wherever it would use those knobs.
> 

-- 
The difference between fiction and reality is that fiction makes sense.
        -- Tom Clancy
Comment 7 dwcjr 2002-01-04 03:46:11 UTC
I believe someone already submitted a patch for the knob, but we'll leave it
to the maintainer to decide which.

----- Original Message -----
From: "Steve Wills" <steve@stevenwills.com>
To: "David W. Chapman Jr." <dwcjr@inethouston.net>
Cc: <freebsd-gnats-submit@FreeBSD.org>
Sent: Thursday, January 03, 2002 9:44 PM
Subject: Re: ports/33521: mozilla port doesn't build irc client ChatZilla


> Ok, thanks for the info on make.conf. Whats the verdict on this change?
> Default to building ChatZilla, or make it a knob? Either way is fine with
me,
> but why not at least give it a try as a default and if its a problem or
people
> complain, then make it a knob?
>
> Thanks,
> Steve
>
> On Thu, Jan 03, 2002 at 07:49:14PM -0600, David W. Chapman Jr. wrote:
> > > Thats fine with me, I can add it to my pkgtools.conf file to always
pass
> > that
> > > flag, so its not big deal. However, according to the mozilla
developers,
> > > chatzilla is nothing more than about 78k of JavaScript and XUL. From
my
> > > experience, it doesn't add a great deal of time to the build or the on
> > disk or
> > > in memory images. Whats your reasoning behind making it optional?
> > >
> > I wasn't aware that it was that small.  Eventhough some people still
might
> > want it an option instead of default, since its not a default in the
first
> > place. Actually you could add it to your /etc/make.conf so that anytime
you
> > build it from wherever it would use those knobs.
> >
>
> --
> The difference between fiction and reality is that fiction makes sense.
>         -- Tom Clancy
>
Comment 8 Steve Wills 2002-01-04 05:45:51 UTC
I was thinking about this and realized, the port should probably do what the
default build does, and wondered why the default build doesn't build
ChatZilla. I found out that the reason its not a default part of Mozilla is
because the developer of ChatZilla wants it that way. So, I take it all back.
:) Lets just make it a knob as was suggested.

Steve

On Thu, Jan 03, 2002 at 09:46:11PM -0600, David W. Chapman Jr. wrote:
> I believe someone already submitted a patch for the knob, but we'll leave it
> to the maintainer to decide which.
> 
> ----- Original Message -----
> From: "Steve Wills" <steve@stevenwills.com>
> To: "David W. Chapman Jr." <dwcjr@inethouston.net>
> Cc: <freebsd-gnats-submit@FreeBSD.org>
> Sent: Thursday, January 03, 2002 9:44 PM
> Subject: Re: ports/33521: mozilla port doesn't build irc client ChatZilla
> 
> 
> > Ok, thanks for the info on make.conf. Whats the verdict on this change?
> > Default to building ChatZilla, or make it a knob? Either way is fine with
> me,
> > but why not at least give it a try as a default and if its a problem or
> people
> > complain, then make it a knob?
> >
> > Thanks,
> > Steve
> >
> > On Thu, Jan 03, 2002 at 07:49:14PM -0600, David W. Chapman Jr. wrote:
> > > > Thats fine with me, I can add it to my pkgtools.conf file to always
> pass
> > > that
> > > > flag, so its not big deal. However, according to the mozilla
> developers,
> > > > chatzilla is nothing more than about 78k of JavaScript and XUL. From
> my
> > > > experience, it doesn't add a great deal of time to the build or the on
> > > disk or
> > > > in memory images. Whats your reasoning behind making it optional?
> > > >
> > > I wasn't aware that it was that small.  Eventhough some people still
> might
> > > want it an option instead of default, since its not a default in the
> first
> > > place. Actually you could add it to your /etc/make.conf so that anytime
> you
> > > build it from wherever it would use those knobs.
> > >
> >
> > --
> > The difference between fiction and reality is that fiction makes sense.
> >         -- Tom Clancy
> >
> 

-- 
The difference between fiction and reality is that fiction makes sense.
        -- Tom Clancy
Comment 9 Maxim Sobolev freebsd_committer 2002-01-04 14:19:40 UTC
State Changed
From-To: open->closed

Committed, thanks to all who participated in discussion!